<?php

namespace DNW\Skills\FactorGraphs;

class ScheduleSequence extends Schedule
{
    /**
     * @param Schedule[] $schedules
     */
    public function __construct(string $name, private readonly array $schedules)
    {
        parent::__construct($name);
    }

    public function visit(int $depth = -1, int $maxDepth = 0): float
    {
        $maxDelta = 0;

        $schedules = $this->schedules;
        foreach ($schedules as $currentSchedule) {
            $currentVisit = $currentSchedule->visit($depth + 1, $maxDepth);
            $maxDelta = max($currentVisit, $maxDelta);
        }

        return $maxDelta;
    }
}
